Results 1 to 3 of 3

Thread: openSUSE Updater will not install security update

  1. #1

    Default openSUSE Updater will not install security update

    Hello,

    openSUSE Updater gave the following information:

    The openSUSE 11.0 kernel was updated to 2.6.25.9. It fixes two security problems: CVE-2008-2372: A resource starvation issue within mmap was fixed, which could have been used by local attackers to hang the machine. CVE-2008-2826: A integer overflow in SCTP was fixed, which might have been used by remote attackers to crash the machine or potentially execute code. The update also has lots of other bugfixes that are listed in the RPM changelog.

    I agreed and wanted to change the kernel with the security update, filled the password for the root but openSUSE Updater did not update the system and returned as red triangle into the tray. I tried several times but openSUSE Updater didn't want to update the kernel. The command uname -r delivers the information 2.6.25.5-1.1-pae. The update of two other softwarepackages today worked without problems. What do I have to do to update the openSUSE 11.0 kernel?

    Thank you very much in advance.

    Greetings

    Wolfhard

  2. #2

    Default Re: openSUSE Updater will not install security update

    Hello,

    I can update this thread with the following information: the command "uname -r" delivers the information "2.6.25.5-1.1-default" for the active kernel (When installing ndiswrapper on this system before by mistake I choose also the ndiswrapper*pae - Software. But of course I do not need pae on my system and I deleted the *pae - kernel). Anymore it is not possible to update the openSUSE 11.0 kernel to 2.6.25.9 with the openSUSE updater: after accepting the installation of the security patch openSUSE updater comes back and gives again the information, that new software - the security patch - is available for the system. How can I avoid this and make "openSUSE Updater" update the system?

    Thank you in advance.

    Wolfhard

  3. #3

    Default Re: openSUSE Updater will not install security update

    I solved this problem with the help of YaST (->Software -> Online-Aktualisierungen) and updated the kernel without problems. So this thread has status "resolved". The "openSUSE Updater" is "green" again. It was a madwifi-package, that caused the error and had to be deleted before the update of the kernel.

    Kind regards

    Wolfhard

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •